local floppyZenithProductionBooster = foundation.createMod()

local amount = 10 -- You can change this amount to override all the production values at once

-- a simple function to rewrite the production amount of a building
function BoostProduction(buildingID, resource, amount)
    floppyZenithProductionBooster:overrideAsset({
        Id = buildingID,
        ResourceProduced = {
            {
                Resource = resource,
                Quantity = amount
            }
        }
    })
end

function BoostProductionMine(buildingID, resource, amount)
floppyZenithProductionBooster:overrideAsset({
	Id = buildingID,
	ResourceProduced = {
		{
			Resource = resource,
			Quantity = amount
		},
		{
			Resource = "GEMS",
			Quantity = 2
		}
	}
})
end

function BoostProductionHoney(buildingID, resource, amount)
floppyZenithProductionBooster:overrideAsset({
	Id = buildingID,
	ResourceProduced = {
		{
			Resource = resource,
			Quantity = amount
		},
		{
			Resource = "WAX",
			Quantity = amount
		}
	}
})
end

-- Basic Production
-- Boosting wood production
BoostProduction("BUILDING_FUNCTION_WOODCUTTER", "WOOD", amount)
-- Boosting stone production
BoostProduction("BUILDING_FUNCTION_STONECUTTER_CAMP", "STONE", amount)
-- Boosting fish production
BoostProduction("BUILDING_FUNCTION_FISHING_HUT", "FISH", amount)
-- Boosting berries production
BoostProduction("BUILDING_FUNCTION_GATHERING_HUT", "BERRIES", amount)
-- Boosting boars production
BoostProduction("BUILDING_FUNCTION_HUNTERS_HUT", "BOAR", amount)
-- Boosting planks production
BoostProduction("BUILDING_FUNCTION_SAWMILL", "PLANK", amount)

-- Other Food Production
-- Boosting wheat production
BoostProduction("BUILDING_FUNCTION_WHEAT_FARM", "WHEAT", amount)
-- Boosting flour production
BoostProduction("BUILDING_FUNCTION_WINDMILL", "FLOUR", amount)
-- Boosting bread production
BoostProduction("BUILDING_FUNCTION_BAKERY", "BREAD", amount)
-- Boosting milk production
BoostProduction("BUILDING_FUNCTION_DAIRY_FARM", "MILK", amount)
-- Boosting cheese production
BoostProduction("BUILDING_FUNCTION_CHEESE_MAKER", "CHEESE", amount)
-- Boosting hop production
BoostProduction("BUILDING_FUNCTION_HOP_FARM", "HOP", amount)
-- Boosting beer production
BoostProduction("BUILDING_FUNCTION_BREWERY", "BEER", amount)

-- Monastery production
-- Boosting honey production
BoostProductionHoney("BUILDING_FUNCTION_BEEKEEPING", "HONEY", amount)
-- Boosting herbs production
BoostProduction("BUILDING_FUNCTION_HERBS_GARDEN", "HERBS", amount)
-- Boosting grapes production
-- BoostProduction("BUILDING_FUNCTION_VINEYARD", "GRAPES", amount) -- there is an error here, have to check it in later releases.
-- Boosting wine production
BoostProduction("BUILDING_FUNCTION_WINERY", "WINE", amount)


-- Mine production
-- Boosting gold mine production
BoostProductionMine("BUILDING_FUNCTION_QUARRY_GOLD", "GOLD_ORE", amount)
-- Boosting iron mine production
BoostProductionMine("BUILDING_FUNCTION_QUARRY_IRON", "IRON_ORE", amount)
-- Boosting marble mine production
BoostProductionMine("BUILDING_FUNCTION_QUARRY_MARBLE", "MARBLE", amount)
-- Boosting quartz mine production
BoostProductionMine("BUILDING_FUNCTION_QUARRY_QUARTZ", "QUARTZ", amount)
-- Boosting stone mine production
BoostProductionMine("BUILDING_FUNCTION_QUARRY_STONE", "STONE", amount)

-- Goods production
-- Boosting wool production
BoostProduction("BUILDING_FUNCTION_SHEEP_FARM", "WOOL", amount)
-- Boosting cloth production
BoostProduction("BUILDING_FUNCTION_WEAVER_HUT", "WOOLEN_CLOTH", amount)
-- Boosting chlothes production
BoostProduction("BUILDING_FUNCTION_TAILOR_WORKSHOP", "CLOTHES", amount)
-- Boosting cloth production
BoostProduction("BUILDING_FUNCTION_WEAVER_HUT", "WOOLEN_CLOTH", amount)
-- Boosting candle production
BoostProduction("BUILDING_FUNCTION_CANDLE_WORKSHOP", "CANDLE", amount)
-- Boosting common wares production
BoostProduction("BUILDING_FUNCTION_COMMON_WARES_WORKSHOP", "COMMON_WARES", amount)

-- luxury goods
-- Boosting jewelry production
BoostProduction("BUILDING_FUNCTION_JEWELER_WORKSHOP", "JEWELRY", amount)

-- Related products
-- Boosting coal production
BoostProduction("BUILDING_FUNCTION_COAL_HUT", "COAL", amount)
-- Boosting plushied stone production
BoostProduction("BUILDING_FUNCTION_STONEMASON_HUT", "POLISHED_STONE", amount)
-- Boosting Weapons production
BoostProduction("BUILDING_FUNCTION_WEAPONSMITH", "SWORD", amount)
-- Boosting gold bar production
BoostProduction("BUILDING_FUNCTION_GOLD_SMELTER", "GOLD_BARS", amount)
-- Boosting iron production
BoostProduction("BUILDING_FUNCTION_IRON_SMELTER", "IRON", amount)
-- Boosting tools production
BoostProduction("BUILDING_FUNCTION_BLACKSMITH", "TOOL", amount)
-- Boosting glass production
BoostProduction("BUILDING_FUNCTION_GLASS_SMELTER", "GLASS", amount)